#!/bin/sh

counter=1;
sub_dir="/home/ac/stratton/498_admin/submissions/mp1.1";
if [ $# -eq '2' ]; then
  if [[ $2 == *.tgz ]] 
  then
    if [ -f $2 ]; then
      while [ -f $sub_dir/$1_$counter ]
      do
        counter=`expr $counter + 1`;
      done
      cp $2 $sub_dir/$1_$counter;
      if [ $? -ne 0 ]; then
        echo "Copy failed"; exit 1;
      fi
      chmod 700 $sub_dir/$1_$counter;
      if [ $? -ne 0 ]; then
        echo "File copied: but permissions not set correctly.";
        echo "Please email the TA to check the situation.";
        exit 1;
      fi
      chown stratton $sub_dir/$1_$counter;
      if [ $? -ne 0 ]; then
        echo "File copied: but permissions not set correctly.";
        echo "Please email the TA to check the situation.";
        exit 1;
      fi
      exit 0;
    fi
  fi    
fi

echo "Usage: mp1.1submit <netid> <.tgz file>";
exit 1;

